# see https://github.com/JamesIves/github-sponsors-readme-action
name: Generate Sponsors README
on:
  push:
    branches:
      - master
jobs:
  deploy:
    runs-on: ubuntu-latest
    if: ${{ github.repository == 'jesseduffield/lazygit' }}
    steps:
      - name: Checkout 🛎️
        uses: actions/checkout@v4

      - name: Generate Sponsors 💖
        uses: JamesIves/github-sponsors-readme-action@v1.2.2
        with:
          token: ${{ secrets.SPONSORS_TOKEN }}
          file: "README.md"

      - name: Create Pull Request 🚀
        uses: peter-evans/create-pull-request@v7
        with:
          commit-message: "README.md: Update Sponsors"
          title: "README.md: Update Sponsors"
          author: "github-actions[bot] <41898282+github-actions[bot]@users.noreply.github.com>"
          labels: "ignore-for-release"
          delete-branch: true
          token: ${{ secrets.SPONSORS_PR_TOKEN }}
